Retrieve Latest IntegrationRun - m3ter Documentation
Retrieve Latest IntegrationRun
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/integrationruns/{entityType}/latest/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/integrationruns/{entityType}/latest/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/integrationruns/{entityType}/latest/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Status Codes
2004XX5XX
Response Body
{
"id": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"status": "<unknown>",
"destination": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"dtStarted": "2023-11-07T05:31:56Z",
"dtCompleted": "2023-11-07T05:31:56Z",
"destinationId": "<string>",
"error": "<string>",
"url": "<string>",
"externalId": "<string>",
"parentIntegrationRunId": "<string>",
"replayedFromIntegrationRunId": "<string>"
}
{
"message": "<string>"
}
Authorization
Authorization
string, required
m3ter supports machine-to-machine authentication using theclientCredentialsOAuth2 flow.
Path Parameters
orgId: string, required
The unique identifier (UUID) for your Organization.entityType: string, required
The type of the entity you want to retrieve the last integration run for. Two options:- Bill
- Notification
id: string, required
The UUID of the entity to retrieve the latest integration run for.
200 Response
- application/json
Return the Integration Run, a response containing an IntegrationRun entity.